Coolify logoCoolify
DELETE
/projects/{uuid}/environments/{environment_name_or_uuid}

Delete environment by name or UUID. Environment must be empty.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

uuid*string

Project UUID

environment_name_or_uuid*string

Environment name or UUID

Response Body

application/json

application/json

application/json

curl -X DELETE "https://app.coolify.io/api/v1/projects/string/environments/string"
{  "message": "Environment deleted."}
Empty
{  "message": "Unauthenticated."}
Empty
{  "message": "Validation error.",  "errors": {    "name": [      "The name field is required."    ],    "api_url": [      "The api url field is required.",      "The api url format is invalid."    ]  }}